# Interface QueryBasedRelationshipProperties

Properties that can be passed into the constructor for tasks/query/QueryBasedRelationship!QueryBasedRelationship.

interface QueryBasedRelationshipProperties {
$relationshipType?: string;
cardinality?: Cardinality;
failureMode?: FailureMode;
id?: string;
keyField: string;
queryService?: QueryService;
relatedKeyField: string;
relatedSource: FeatureSource;
title?: string;
}

#### Hierarchy (view full)

- RelationshipProperties
  - QueryBasedRelationshipProperties

#####
Index

### Properties

$relationshipType?
cardinality?
failureMode?
id?
keyField
queryService?
relatedKeyField
relatedSource
title?

##
Properties

### `Optional`$relationshipType

$relationshipType?: string

See data/_Relationship!RelationshipProperties.$relationshipType.

Overrides RelationshipProperties.$relationshipType

### `Optional` cardinality

cardinality?: Cardinality

See tasks/query/QueryBasedRelationship!QueryBasedRelationship.cardinality.

### `Optional` failureMode

failureMode?: FailureMode

See support/InitializableBase!InitializableBase.failureMode.

Inherited from RelationshipProperties.failureMode

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from RelationshipProperties.id

### keyField

keyField: string

See tasks/query/QueryBasedRelationship!QueryBasedRelationship.keyField.

### `Optional` queryService

queryService?: QueryService

See tasks/query/QueryBasedRelationship!QueryBasedRelationship.queryService.

### relatedKeyField

relatedKeyField: string

See tasks/query/QueryBasedRelationship!QueryBasedRelationship.relatedKeyField.

### relatedSource

relatedSource: FeatureSource

See tasks/query/QueryBasedRelationship!QueryBasedRelationship.relatedSource.

### `Optional` title

title?: string

See data/_Relationship!Relationship.title.

Inherited from RelationshipProperties.title